﻿@model MIMS.Portal.ViewModels.BankAccount.BankAccountReviewViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "بررسی حساب بانکی";
}

<!-- Modal -->
<div id="modal-image-preview" class="modal fade">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>
                <button type="button" class="close" data-dismiss="modal">
                    <span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <img src="" class="image-preview" style="width: 100%;">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">بستن</button>

            </div>
        </div>
    </div>
</div>

<section>
    <form method="post" enctype="multipart/form-data">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">مشخصات حساب بانکی</h4>
            </div>
            <div class="card-body">
                <div class="card-block">

                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                    <input asp-for="BankAccountId" value="@Model.BankAccountDetails.Id" hidden />

                    <div class="form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BankAccountDetails.MerchantFullName" class="control-label"></label>
                                        <p><strong>@Model.BankAccountDetails?.MerchantFullName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BankAccountDetails.MerchantNationalCode" class="control-label"></label>
                                        <p><strong>@Model.BankAccountDetails?.MerchantNationalCode</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BankAccountDetails.BankName" class="control-label"></label>
                                        <p><strong>@Model.BankAccountDetails.BankName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3" hidden>
                                    <div class="form-group">
                                        <label asp-for="BankAccountDetails.BankBranchCode" class="control-label"></label>
                                        <p><strong>@Model.BankAccountDetails.BankBranchCode</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BankAccountDetails.AccountNumber" class="control-label"></label>
                                        <p><strong>@Model.BankAccountDetails.AccountNumber</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BankAccountDetails.AccountIban" class="control-label"></label>
                                        <p><strong>@Model.BankAccountDetails.AccountIban</strong></p>
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BankAccountDetails.AccountHolderFullName" class="control-label"></label>
                                        <p><strong>@Model.BankAccountDetails.AccountHolderFullName</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label asp-for="ReviewStatus" class="control-label"></label>
                                        <span asp-validation-for="ReviewStatus" class="text-danger"></span>
                                        <select asp-for="ReviewStatus" asp-description-for="ReviewStatus" class="form-control">
                                            <option selected value="">--</option>
                                            <option value="true">تایید</option>
                                            <option value="false">رد</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label asp-for="ReviewComment" class="control-label"></label>
                                        <span asp-validation-for="ReviewComment" class="text-danger"></span>
                                        <input asp-for="ReviewComment" asp-description-for="ReviewComment" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="form-actions">
                                    <button type="submit" class="btn btn-primary btn-min-width">
                                        ثبت
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>

@section Scripts{
    <script>
        $(function () {
            $('.preview').on('click', function () {
                $('.modal-title').text($(this).prevAll('label').first().text());
                $('.image-preview').attr('src', $(this).find('img').attr('src'));
                $('#modal-image-preview').modal({
                    backdrop: 'static',
                    keyboard: false,
                    show: true
                });
            });
        });
    </script>
}